Loading...
Searching...
No Matches
ThreadInfo.h File Reference

Data structure containing information about GPU threads for a particular location in the loop nest and its surrounding block. More...

`#include <vector>`
`#include "FunctionDAG.h"`
`#include "HalidePlugin.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::Autoscheduler::ThreadTileOption
struct | Halide::Internal::Autoscheduler::ThreadInfo

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal
namespace | Halide::Internal::Autoscheduler

## Detailed Description

Data structure containing information about GPU threads for a particular location in the loop nest and its surrounding block.

Useful when computing GPU features

Definition in file ThreadInfo.h.